For more information on using API

POST http://webapi.mymarketing.co.il/api/smscampaign/OperationalMessage

Create and return a new operational SMS message

Request Information

URI Parameters

Body Parameters

ApiSmsCampaignPostContainer

Name

Description

Type

Additional information

details

SMS Campaign details

scheduling

Scheduling the SMS campaign

mobiles

The mobile numbers that recieve the SMS campaign

Collection of ApiSMSMobile

Request Formats

application/json, text/json

Sample:
{
  "details": {
    "unsubscribe_text": "sample string 1",
    "can_unsubscribe": true,
    "name": "sample string 3",
    "from_name": "sample string 4",
    "sms_sending_profile_id": 5,
    "content": "sample string 6"
  },
  "scheduling": {
    "send_now": true,
    "scheduled_date_utc": "2016-12-24T14:12:12"
  },
  "mobiles": [
    {
      "phone_number": "sample string 1"
    },
    {
      "phone_number": "sample string 1"
    }
  ]
}

application/xml, text/xml

Sample:
<ApiSmsCampaignPostContainer xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Details>
    <Id>2</Id>
    <Name>sample string 3</Name>
    <FromName>sample string 4</FromName>
    <SmsSendingProfileId>5</SmsSendingProfileId>
    <Content>sample string 6</Content>
    <UnsubscribeText>sample string 1</UnsubscribeText>
    <CanUnsubscribe>true</CanUnsubscribe>
  </Details>
  <Scheduling>
    <SendNow>true</SendNow>
    <ScheduledDateUtc>2016-12-24T14:12:12</ScheduledDateUtc>
  </Scheduling>
  <Mobiles>
    <ApiSMSMobile>
      <PhoneNumber>sample string 1</PhoneNumber>
    </ApiSMSMobile>
    <ApiSMSMobile>
      <PhoneNumber>sample string 1</PhoneNumber>
    </ApiSMSMobile>
  </Mobiles>
</ApiSmsCampaignPostContainer>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

HttpResponseMessage

Name

Description

Type

Additional information

Version

Content

StatusCode

ReasonPhrase

string
Headers

Collection of Object
RequestMessage

IsSuccessStatusCode

boolean